Samsung SyncThru FileUploadController Directory Traversal Remote Code Execution Vulnerability

2015-07-13T00:00:00
ID ZDI-15-297
Type zdi
Reporter Andrea Micalizzi (rgod)
Modified 2015-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Samsung SyncThru. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the FileUploadController servlet exposed by uploadCloning.html. The issue lies in the failure to sanitize the path of files uploaded, allowing for them to be placed anywhere on the server. An attacker can leverage this vulnerability to execute arbitrary code as SYSTEM.